Subject: Re: [tcpm] TCP Tuning for HTTP - update

From: Jana Iyengar <[email-masked]>
Date: Fri, 19 Aug 2016 20:06:15 +0000

Mark,

[I have not have read the entire thread in detail, but responding to one question.]

I'd especially like to hear from other people in the TCP community; we've heard from Joe and Michael; do others share their opinions, or have another view?

Responding to this specific question: I think this document is useful. There's tremendous value in having a document that discusses protocol interactions, especially for the most important protocol interaction today (HTTP/TCP).  Pursuing this document as Informational makes complete sense, and is well within IETF norms.

Implementation notes/advice is actually quite a useful bit that traditionally shows up in appendices, but arguably it really doesn't matter where it shows up. It's valuable. I would remove specific APIs and instead talk about mechanisms that are common enough (remove setsockopt() and sysctls, but talk about Nagle, socket buffers, etc.) but there are a number of commonly deployed mechanisms that it makes sense to talk about them here. I would suggest that the document discuss important interactions from a browser's point of view as separate from those at a web server.

I am happy to review and suggest changes to the document, but I think it's a fine fit.

- jana